NUTSCAN_SCAN_XML_HTT(3)

NAME
nutscan_scan_xml_http - Scan network for XML/HTTP devices.

SYNOPSIS

#include <nut-scan.h>

nutscan_device_t * nutscan_scan_xml_http(long usec_timeout);

DESCRIPTION

The nutscan_scan_xml_http() function try to detect NUT compatible XML/HTTP devices. It does this by issuing a broadcast message on currently configured network interfaces. It waits up to usec_timeout microseconds for a response from potential devices.

You MUST call nutscan_init(3) before using this function.

RETURN VALUE

The nutscan_scan_xml_http() function returns a pointer to a nutscan_device_t structure containing all found devices or NULL if an error occurs or no device is found.

SEE ALSO

nutscan_init(3), nutscan_scan_usb(3), nutscan_scan_snmp(3), nutscan_scan_nut(3), nutscan_scan_avahi(3), nutscan_scan_ipmi(3), nutscan_display_ups_conf(3), nutscan_display_parsable(3), nutscan_new_device(3), nutscan_free_device(3), nutscan_add_option_to_device(3), nutscan_add_device_to_device(3), nutscan_scan_eaton_serial(3)